Skip to content

Retrieve a customer ​

GET/api/v1/workspaces/{workspace_slug}/customers/{resource_id}/

Get a specific customer by ID

Path Parameters ​

resource_id:requiredstring

The unique identifier of the resource.

workspace_slug:requiredstring

The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.

Scopes ​

customers:read

Retrieve a customer
bash
curl -X GET \
  "https://api.plane.so/api/v1/workspaces/my-workspace/customers/resource-id-uuid/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"
Response200
json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "created_at": "2024-01-01T00:00:00Z",
  "updated_at": "2024-01-01T00:00:00Z",
  "name": "Example Name",
  "description": "example-value",
  "deleted_at": "2024-01-01T00:00:00Z",
  "customer_request_count": 1,
  "logo_url": "Example Name",
  "description_html": "<p>Example content</p>",
  "description_stripped": "Example description",
  "description_binary": "Example description",
  "email": "Example Name"
}